%define module_name Webinject
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/pod2pdf.pm) perl(CPAN.pm) perl(Crypt/SSLeay.pm) perl(Error.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Temp.pm) perl(Getopt/Long.pm) perl(HTML/Entities.pm) perl(HTTP/Cookies.pm) perl(HTTP/Request/Common.pm) perl(HTTP/Server/Simple/CGI.pm) perl(IO/Socket/SSL.pm) perl(JSON.pm) perl(LWP.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod/Coverage.pm) perl(Time/HiRes.pm) perl(URI.pm) perl(XML/Parser.pm) perl(XML/Simple.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.94
Release: alt1
Summary: Perl Module for testing web services
Group: Development/Perl
License: gpl2
URL: http://www.webinject.org

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/N/NI/NIERLEIN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
WebInject is a free tool for automated testing of web applications and web
services. It can be used to test individual system components that have HTTP
interfaces (JSP, ASP, CGI, PHP, AJAX, Servlets, HTML Forms, XML/SOAP Web
Services, REST, etc), and can be used as a test harness to create a suite of
[HTTP level] automated functional, acceptance, and regression tests. A test
harness allows you to run many test cases and collect/report your results.
WebInject offers real-time results display and may also be used for monitoring
system response times.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README Changes LICENSE examples
%perl_vendor_privlib/W*

%files scripts
%_bindir/*

%changelog
* Wed Oct 25 2017 Igor Vlasenko <viy@altlinux.ru> 1.94-alt1
- regenerated from template by package builder

* Thu Dec 29 2016 Igor Vlasenko <viy@altlinux.ru> 1.92-alt1
- regenerated from template by package builder

* Fri Feb 19 2016 Igor Vlasenko <viy@altlinux.ru> 1.90-alt1
- regenerated from template by package builder

* Thu Oct 15 2015 Igor Vlasenko <viy@altlinux.ru> 1.88-alt1
- regenerated from template by package builder

* Wed Nov 20 2013 Igor Vlasenko <viy@altlinux.ru> 1.86-alt1
- regenerated from template by package builder

* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 1.80-alt1
- initial import by package builder

